extends Control

func _on_HSlider_value_changed(value):
	$options_menu/bonus_chance_label.text = "Bonus chance: " + str(value)

func _on_HSlider2_value_changed(value):
	$options_menu/wind_influence_label.text = "Wind influence: " + str(value)

func _on_HSlider3_value_changed(value):
	$options_menu/time_limit_per_turn_label.text = "Time limit per turn: " + str(value)

func _on_options_cancel_button_pressed():
	$main_menu.show()
	$options_menu.hide()

func _on_options_apply_button_pressed():
	$main_menu.show()
	$options_menu.hide()

func _on_start_health_level_slider_value_changed(value):
	$options_menu/start_health_level.text = "Start health level: " + str(value)

func _on_music_volume_slider_value_changed(value):
	Audio.change_music_volume(value)

func _on_sound_volume_slider_value_changed(value):
	Audio.change_sound_volume(value)
	
func _on_ambient_volume_slider_value_changed(value):
	Audio.change_ambient_volume(value)

func _on_option_button_pressed():
	$main_menu.hide()
	$options_menu.show()

func _on_exit_button_pressed():
	get_tree().quit()
	
func _ready():
	Audio.play_music("ost", 1)

func _on_play_button_pressed():
	Audio.stop_music()
	get_tree().change_scene("res://scenes/game.tscn")

func _on_start_pvp_button_pressed():
	$main_menu.hide()
	$help_screen.show()
